/*
    opinionDynamics 0.3: ObserverSwarm.m
    Copyright (C) 2005 by Gary McKeown
	
	This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation.

    Contact information:
		Gary McKeown,
		School of Psychology,
		Queens University of Belfast,
		Belfast BT7 1NN,
		Northern Ireland, 
		UK.
	g.mckeown@qub.ac.uk
*/

#import "ModelSwarm.h"
#import <objectbase.h>
#import <objectbase/Swarm.h>

@interface BatchSwarm: Swarm
{
  id stopSchedule;

  ModelSwarm *modelSwarm;       
}

+ createBegin: aZone;
- createEnd;
- buildObjects;

- buildActions;
- activateIn: swarmContext;
- go;
- (void)drop;
@end